Subject: Re: [PATCH RESEND 1/8] net: fsl_pq_mdio: use platform_{get,set}_drvdata()

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 14 Aug 2013 22:54:45 +0400

Hello.

On 08/14/2013 07:39 AM, Libo Chen wrote:

> We can use the wrapper functions platform_{get,set}_drvdata() instead of
> dev_{get,set}_drvdata() with &pdev->dev, it is convenient for user.

> Also, unnecessary dev_set_drvdata() is removed, because the driver core
> clears the driver data to NULL after device_release or on probe failure.

    You misunderstood. That's a material for 2 separate patch sets (or maybe 
single patches, since multiple files can be collapsed in a single patch).

> Signed-off-by: Libo Chen <[email-masked]>

WBR, Sergei